<?php
/*
Plugin Name: Comments Cleaner
Plugin URI: http://www.poradnik-webmastera.com/projekty/comments_cleaner/
Description: This plugin removes all HTML tags, BBCode tags and links from added comments.
Author: Daniel Frużyński
Version: 1.0.3
Author URI: http://www.poradnik-webmastera.com/
*/

/*  Copyright 2009  Daniel Frużyński  (email : daniel [A-T] poradnik-webmastera.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

if ( !class_exists( 'CommentsCleaner' ) ) {

class CommentsCleaner {
	var $replaced_fun = false;
	
	var $template = null;
	
	// Constructor
	function CommentsCleaner() {
		add_filter( 'preprocess_comment', array( &$this, 'preprocess_comment' ) );
	}
	
	function preprocess_comment( $commentdata ) {
		$commentdata['comment_author_url'] = null;
		$commentdata['comment_content'] = strip_tags( $commentdata['comment_content'] );
		$commentdata['comment_content'] = preg_replace( '#\[[^\]]+\]#', '', $commentdata['comment_content'] );
		$commentdata['comment_content'] = preg_replace( '#https?://[^\s]+#i', '', $commentdata['comment_content'] );
		return $commentdata;
	}
}

$wp_comments_cleaner = new CommentsCleaner();

} /* END */

?>